import UIKit

public extension FramesUIStyle {

    /// Custom Color for Checkout UI style
    enum Color {

        // MARK: - Background -

        /// A color for primary background with hex #FFFFFF
        static let backgroundPrimary = UIColor(hex: "#FFFFFF")

        // MARK: - Text -

        /// A color for primary text with hex #000000
        static let textPrimary = UIColor(hex: "#000000")

        /// A color for secondary text with hex #727272
        static let textSecondary = UIColor(hex: "#727272")

        /// A color for primary text action with hex #727272
        static let textActionPrimary = UIColor(hex: "#FFFFFF")

        /// A color for secondary text action with hex #0B5FF0
        static let textActionSecondary = UIColor(hex: "#0B5FF0")

        /// A color for text disabled with hex #727272
        static let textDisabled = UIColor(hex: "#727272")

        /// A color for text error with hex #AD283E
        static let textError = UIColor(hex: "#AD283E")

        // MARK: - Border -

        /// A color for primary border with hex #8A8A8A
        static let borderPrimary = UIColor(hex: "#8A8A8A")

        /// A color for secondary border with hex #D9D9D9
        static let borderSecondary = UIColor(hex: "#D9D9D9")

        /// A color for active border with hex #0B5FF0
        static let borderActive = UIColor(hex: "#0B5FF0")

        /// A color for border error with hex #AD283E
        static let borderError = UIColor(hex: "#AD283E")

        // MARK: - Icon -

        /// A color for primary icon with hex #000000
        static let iconPrimary = UIColor(hex: "#000000")

        /// A color for icon disabled with hex #8A8A8A
        static let iconDisabled = UIColor(hex: "#8A8A8A")

        /// A color for icon action with hex #0B5FF0
        static let iconAction = UIColor(hex: "#0B5FF0")

        // MARK: - Action -

        /// A color for primary action with hex #0B5FF0
        static let actionPrimary = UIColor(hex: "#0B5FF0")

        /// A color for disabled action with hex #F0F0F0
        static let actionDisabled = UIColor(hex: "#F0F0F0")
    }
}
